# This file is part of the OpenADK project. OpenADK is copyrighted
# material, please see the LICENCE file in the top-level directory.
#
# On the various kernel version variables:
#
# KERNEL_FILE_VER: version numbering used for tarball and contained top level
#                  directory (e.g. linux-4.1.2.tar.bz2 -> linux-4.1.2) (not
#                  necessary equal to kernel's version, e.g. linux-3.19
#                  contains kernel version 3.19.0)
# KERNEL_RELEASE:  OpenADK internal versioning
# KERNEL_VERSION:  final kernel version how we want to identify a specific kernel

ifeq ($(ADK_TARGET_KERNEL_VERSION_GIT),y)
KERNEL_FILE_VER:=	$(ADK_TARGET_KERNEL_HASH)
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_3_0),y)
KERNEL_FILE_VER:=	4.3
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		4a622cc84b8a3c38d39bc17195b0c064d2b46945dfde0dae18f77b120bc9f3ae
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_2_6),y)
KERNEL_FILE_VER:=	4.2.6
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		17db6b7dc0061135df39b376e325d01152df4087253e9563e1c7ceb4c736fb5c
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_4_1_13),y)
KERNEL_FILE_VER:=	4.1.13
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		b9194cd5b609685b748dcf89a65cb86980cc8aaaee7768f0c42e8775259eb013
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_18_22),y)
KERNEL_FILE_VER:=	3.18.22
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		1cdcbb46d02da936bf58707c788bb39ca551260964853c1c5f7e49cda602ce2c
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_14_54),y)
KERNEL_FILE_VER:=	3.14.54
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		2f3a2ad541d011ee1a95e5900f2cc3887ced0f14ead7f1fcf070ce2a7a3f544a
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_12_48),y)
KERNEL_FILE_VER:=	3.12.48
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		3f4263d06b062a85c83a15fc5616af60af56d154b18ae393306f2ba445bc7bd7
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_10_90),y)
KERNEL_FILE_VER:=	3.10.90
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		5a6725d4f425f1dc8b033bd29aaabae7402c82e0c527c3aed61c29a8f7b05ee3
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_4_109),y)
KERNEL_FILE_VER:=	3.4.109
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		e20c22b3362c2b701111faea6c92d266a387d28e94e14426e9fc31a918c1a5bd
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_3_2_71),y)
KERNEL_FILE_VER:=	3.2.71
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		eadbf2f230c432f214e0449dbfdb7ae0080d321da2e38d63c1a77eda57896442
endif
ifeq ($(ADK_TARGET_KERNEL_VERSION_2_6_32_68),y)
KERNEL_FILE_VER:=	2.6.32.68
KERNEL_RELEASE:=	1
KERNEL_VERSION:=	$(KERNEL_FILE_VER)-$(KERNEL_RELEASE)
KERNEL_HASH:=		f56ca7f9ae41a80b37b42a9aa6367d6b054cde8a32ef3585a8b7b1fecd1c399e
endif
